#include <string>

#include <cstdlib>

#include <common.h>
#include <mem.h>

template<typename T>
static inline T* not_null(T* ptr)
{
	if(UNLIKELY(!ptr)) throw "TODO: Nullptr except";
	return ptr;
}

namespace mem
{
	void* aligned_ptr_util::_alloc(usize a, usize s) { return not_null<void>( aligned_alloc(a, s) ); }
	void aligned_ptr_util::_dealloc(void* ptr) { free(ptr); }
}

